DROP TABLE IF EXISTS `supply`;
CREATE TABLE `supply` (
  s_id int(11) NOT NULL auto_increment,
  s_type enum('1','2') NOT NULL default '1',
  s_quality enum('1','2') NOT NULL default '1',
  s_member_id int(11) NOT NULL,
  s_title varchar(200) NOT NULL,
  s_content text NOT NULL,
  s_class_id int(11) NOT NULL,
  s_time int(10) NOT NULL,
  s_lastretime int(10) default NULL,
  s_last_member_id int(11) default NULL,
  s_click int(11) NOT NULL default '0',
  s_renum int(11) NOT NULL default '0',
  s_state enum('1','2') NOT NULL default '1',
  s_recommend enum('1','2') NOT NULL default '2',
  s_anonymous enum('1','2') NOT NULL default '1',
  s_valdate varchar(50) NOT NULL,
  s_qq varchar(50) default NULL,
  s_msn varchar(50) default NULL,
  s_skype varchar(50) default NULL,
  s_wangwang varchar(50) default NULL,
  s_phone varchar(200) default NULL,
  s_email varchar(50) default NULL,
  s_pic text,
  s_price decimal(9,2) NOT NULL default '0.00',
  s_price_face tinyint(1) NOT NULL default '2',
  PRIMARY KEY  (s_id)
) ENGINE=MyISAM;

DROP TABLE IF EXISTS `supply_reply`;
CREATE TABLE `supply_reply` (
  sr_id int(11) NOT NULL auto_increment,
  sr_s_id int(11) NOT NULL,
  sr_member int(11) NOT NULL,
  sr_title varchar(200) NOT NULL,
  sr_content text NOT NULL,
  sr_time int(10) NOT NULL,
  sr_state enum('1','2') NOT NULL default '1',
  sr_anonymous enum('1','2') NOT NULL default '1',
  PRIMARY KEY  (sr_id)
) ENGINE=MyISAM;